- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# MFnReflectShader Class Reference

# OpenMaya - API module for common classes | FunctionSet classes

Search for all occurrences

## Detailed Description

Manage Reflective Surface Shaders.

MFnReflectShader allows manipulation of dependency graph nodes representing reflective surface shaders. This includes Phong and Blinn shaders.

`#include <MFnReflectShader.h>`

Inheritance diagram for MFnReflectShader:
[legend]

List of all members.

## Public Member Functions
virtual MFn::Type | type () const
| Function set type.
virtual | ~MFnReflectShader ()
| Destructor.
| MFnReflectShader ()
| Default constructor.
| MFnReflectShader (MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
short | reflectedRayDepthLimit (MStatus *ReturnStatus=NULL) const
| Retrieves the value of the "reflectedRayDepthLimit" attribute of a reflective shader node.
MStatus | setReflectedRayDepthLimit (const short &new_limit)
| Sets the value of the "reflectedRayDepthLimit" attribute of a lambert shader node.
MColor | specularColor (MStatus *ReturnStatus=NULL) const
| Retrieves the value of the "specularColor" attribute of a reflective shader node.
MStatus | setSpecularColor (const MColor &specular_color)
| Sets the value of the "specularColor" attribute of a shader node.
float | reflectivity (MStatus *ReturnStatus=NULL) const
| Retrieves the value of the "reflectivity" attribute of a reflective shader node.
MStatus | setReflectivity (const float &reflectivity)
| Sets the value of the "reflectivity" attribute of a shader node.
MColor | reflectedColor (MStatus *ReturnStatus=NULL) const
| Retrieves the value of the "reflectedColor" attribute of a reflective shader node.
MStatus | setReflectedColor (const MColor &reflected_color)
| Sets the value of the "reflectedColor" attribute of a shader node.
| MFnReflectShader (const MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
## Protected Member Functions
virtual const char * | className () const
| Class name.

## Constructor & Destructor Documentation

MFnReflectShader | ( | MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnReflectShader | ( | const MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

## Member Function Documentation

MFn::Type type | ( |  | ) | const `[virtual]`

Search for all occurrences

Function set type.

Return the class type : MFn::kReflect.

Reimplemented from MFnLambertShader.

Reimplemented in MFnBlinnShader, and MFnPhongShader.

const char * className | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Class name.

Return the class name : "MFnReflectShader".

Reimplemented from MFnLambertShader.

Reimplemented in MFnBlinnShader, and MFnPhongShader.

short reflectedRayDepthLimit | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Retrieves the value of the "reflectedRayDepthLimit" attribute of a reflective shader node.

This attribute represents the maximum reflected ray depth used in the shading calculation.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  The value of the "reflectedRayDepthLimit" attribute of the node.

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure function set does not have a valid object.

MStatus setReflectedRayDepthLimit | ( | const short & | reflected_ray_depth_limit | ) |

Search for all occurrences

Sets the value of the "reflectedRayDepthLimit" attribute of a lambert shader node.

Parameters:

  [in] | reflected_ray_depth_limit | value to which the attribute will be set.

Returns:
  Return status

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure function set does not have a valid object,

MColor specularColor | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Retrieves the value of the "specularColor" attribute of a reflective shader node.

This attribute represents the color of specular highlights produced by the shader.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  The value of the "specularColor" attribute of the shader node.

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure function set does not have a valid object.

MStatus setSpecularColor | ( | const MColor & | specular_color | ) |

Search for all occurrences

Sets the value of the "specularColor" attribute of a shader node.

Parameters:

  [in] | specular_color | value to which the attribute will be set.

Returns:
  Return status

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure function set does not have a valid object,

float reflectivity | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Retrieves the value of the "reflectivity" attribute of a reflective shader node.

This attribute represents the reflectivity of the shader.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  The value of the "reflectivity" attribute of the shader node.

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure function set does not have a valid object.

MStatus setReflectivity | ( | const float & | reflect | ) |

Search for all occurrences

Sets the value of the "reflectivity" attribute of a shader node.

Parameters:

  [in] | reflect | value to which the attribute will be set.

Returns:
  Return status

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure function set does not have a valid object,

MColor reflectedColor | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Retrieves the value of the "reflectedColor" attribute of a reflective shader node.

This attribute represents the color of reflection produced by the shader.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  The value of the "reflectedColor" attribute of the shader node.

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure function set does not have a valid object.

MStatus setReflectedColor | ( | const MColor & | reflected_color | ) |

Search for all occurrences

Sets the value of the "reflectedColor" attribute of a shader node.

Parameters:

  [in] | reflected_color | value to which the attribute will be set.

Returns:
  Return status

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure function set does not have a valid object,

MFnReflectShader MFnReflectShader MFnReflectShader MFnReflectShader MFnReflectShader MFnReflectShader MFnReflectShader MFnReflectShader MFnReflectShader MFnReflectShader
MFnReflectShader MFnReflectShader MFnReflectShader MFnReflectShader MFnReflectShader MFnReflectShader MFnReflectShader MFnReflectShader MFnReflectShader MFnReflectShader